<template>
  <div id="frame">
    <bg :coverBlur="false"></bg>
    <top-bar></top-bar>
    <window
      v-for="(window, id) in windowsGroup"
      :key="window.key"
      :style="{
        'z-index': id
      }"
      :id="id"
      :componentURI="window.component"
    >
    </window>
    <dock></dock>
  </div>
</template>

<script>
import {mapGetters, mapMutations} from "vuex";

export default {
  components: {
    Bg: () => import("./Bg.vue"),
    TopBar: () => import("./TopBar.vue"),
    Window: () => import("./Window.vue"),
    Dock: () => import("./Dock.vue"),
  },
  data() {
    return {
    };
  },
  computed: {
    ...mapGetters({
      windowsGroup: 'os/getWindows'
    }),
  },
  methods: {
    ...mapMutations({
      regroupWindowsZindex: 'os/regroupWindowsZindex',
      pushWindow: 'os/pushWindow'
    })
  },
  mounted() {
    // this.pushWindow("./Term.vue");
    this.pushWindow("./CodeMirror.vue");
  }
};
</script>

<style>
</style>